﻿@model SYM.DataAccessLayer.mountain
@using SYM.SearchEngine.MvcApp.Helpers

@{
    ViewBag.Title = "" + @Model.mntn_name + " " + @Model.mntn_altitude + " m.";
    ViewBag.Breadcrumb = "<li><a href='" + Url.Action("Search", "Mountain") + "'>" + SYM.Localization.Resources.Views.Mountain.Index.Title + "</a><i class='fa fa-circle'></i></li>";
    ViewBag.Page = SYM.Localization.Resources.Views.Mountain.Details.Page;

    string bold = "";
    string mountainrange = "";
    string region = "";
    string update = "";

    if (Model.ass_mountainregion.Count() > 0)
        region = Model.ass_mountainregion.First().region_name;
    if (Model.mntn_mountainrange != null)
        mountainrange = Model.mntn_mountainrange.mntnRange_name;

    if (Model.mntn_dateMod != null)
       update = String.Format("{0:dd/MM/yyyy}", Model.mntn_dateMod);
    else
       update = String.Format("{0:dd/MM/yyyy}", Model.mntn_dateIns);

}
@section ExtraHeadContent {
    <meta name="description" content="The mountain @Model.mntn_name @Model.mntn_altitude m. is located in @mountainrange (@region)" />
}
@section ExtraCssContent {
    <!-- Final Tiles Grid Gallery CSS -->
    <link rel="stylesheet" href="~/Content/assets/plugins/tiles-grid/css/finaltilesgallery.css">
    <link rel="stylesheet" href="~/Content/assets/plugins/tiles-grid/css/lightbox2.css">
    <link href="~/Content/themes/m1/assets/global/plugins/morris/morris.css" rel="stylesheet" type="text/css" />
}
<div class="row">
    <div class="col-md-12">
        <div class="portlet light bordered">
            <div class="portlet-title">
                <div class="caption">
                    <i class="icon-equalizer font-green-haze"></i>
                    <span class="caption-subject font-green-haze bold uppercase">@Model.mntn_name</span>
                    <span class="caption-helper">( @mountainrange )</span>
                </div>
                @if (Request.IsAuthenticated)
                {
                    <div class="actions">
                        <a href="javascript:;" id="logAdventure" class="btn btn-success btn-sm">
                            @SYM.Localization.Resources.Views.Mountain.Details.AddToYour <b>Adventure List</b> <i class="fa fa-heartbeat"></i>
                        </a>
                    </div>
                }
            </div>
            <div class="portlet-body form">
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#tab_1_1" id="Detail" data-toggle="tab">Info </a>
                    </li>
                    <li class="">
                        <a href="#tab_1_2" id="Flickr" data-toggle="tab"><i class="fa fa-camera"></i> @SYM.Localization.Resources.Views.Mountain.Details.Gallery</a>
                    </li>
                    <li class="">
                        <a href="#tab_1_3" id="Maps" data-toggle="tab">@SYM.Localization.Resources.Views.Mountain.Details.Map</a>
                    </li>
                    <li class="">
                        <a href="#tab_1_4" id="Routes" data-toggle="tab" class="bold"><i class="fa fa-map-signs"></i> @SYM.Localization.Resources.Views.Mountain.Details.Topos <span class="badge badge-warning">@Model.route.Count</span></a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane fade active in" id="tab_1_1">
                        <div class="row row-custom">
                            <div class="col-md-3 col-custom">
                                <div id="meteo"></div>
                            </div>
                            @if (Model.mntn_image.Count > 0 && @Model.mntn_image.Last().image_cdn == true)
                            {
                                <div class="col-md-6 col-custom">
                                    <div style="height: 400px; background-color:#1BBC9B;" id="image-cover-container">
                                        <div class="mt-element-ribbon">
                                            <div class="ribbon ribbon-right ribbon-shadow ribbon-color-warning uppercase">@Model.mntn_altitude.ToString() m.</div>
                                            <a class="image-cover-fancybox" href="http://res.cloudinary.com/shareyourmountain/image/upload/c_fill,w_750/@Model.mntn_image.Last().image_url.ToString()">
                                                <img id="image-cover" src="http://res.cloudinary.com/shareyourmountain/image/upload/c_fill,w_500/@Model.mntn_image.Last().image_url.ToString()" alt="Flickr">
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            }
                            else if (Model.mntn_image.Count > 0)
                            {
                                <div class="col-md-6 col-custom">
                                    <div style="height: 400px; background-color:#1BBC9B;" id="image-cover-container">
                                        <div class="mt-element-ribbon">
                                            <div class="ribbon ribbon-right ribbon-shadow ribbon-color-warning uppercase">@Model.mntn_altitude.ToString() m.</div>
                                            <img id="image-cover" src="@Model.mntn_image.Last().image_url.ToString()" alt="Flickr">
                                        </div>
                                    </div>
                                </div>
                            }
                            else
                            {
                                <div class="col-md-6 col-custom" style="height: 400px;overflow: hidden;">
                                    <div>
                                        <div class="row">
                                            <div class="mt-element-ribbon">
                                                <div class="ribbon ribbon-right ribbon-shadow ribbon-color-warning uppercase">@Model.mntn_altitude.ToString() m.</div>
                                                <div class="col-md-12" style="background-color:#1BBC9B;">
                                                    <img class="img-responsive" src="~/Content/images/logo-white-compact.png" alt="Add your image ..." style="margin:auto;height:280px;padding-top:15px;padding-bottom:15px;">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row" style="margin-top:15px;">
                                            <div class="col-md-12">
                                                <button href="/it/Mountain/_UploadImage?id=@Model.id" data-target="#myModal" class="btn sbold uppercase btn-outline yellow-gold btn-block"><i class="fa fa-camera"></i> Upload Your Cover Photo</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            }
                            <div class="col-md-3 col-custom">
                                <div class="gmaps" id="gmap_static">
                                    <div style="height: 400px; overflow: hidden; background: url(http://maps.googleapis.com/maps/api/staticmap?center=@Html.DisplayFor(modelItem => Model.mntn_latitude).ToString().Replace(",", "."),@Html.DisplayFor(modelItem => Model.mntn_longitude).ToString().Replace(",", ".")&amp;size=950x450&amp;sensor=true&amp;zoom=12&amp;markers=size:mid%7Ccolor:0xff0000%7Clabel:M%7C@(Html.DisplayFor(modelItem => Model.mntn_latitude).ToString().Replace(",", ".")),@(Html.DisplayFor(modelItem => Model.mntn_longitude).ToString().Replace(",", "."))) no-repeat 50% 50%;">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <form role="form" class="">
                            <div class="form-body">
                                <h4 class="form-section">@SYM.Localization.Resources.Views.Mountain.Details.Geography <small style="font-size:10px;">@SYM.Localization.Resources.Views.Mountain.Details.Update: @update</small></h4>
                                @if (Model.mntn_dbpedia.Count > 0)
                                {
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="note note-info">
                                                <p> @Model.mntn_dbpedia.First().dbpedia_abstract ...<a href="https://it.wikipedia.org/wiki/@Model.mntn_name.Replace(' ', '_')" target="_blank">from <i class="fa fa-wikipedia-w"></i>ikipedia</a></p>
                                            </div>
                                        </div>
                                    </div>
                                }
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Mountain.Details.MountainRange:</label>
                                            <div class="col-md-8">
                                                <p class="">
                                                    @{
                                                        var rangeStr = "";
                                                        if (Model.mntn_mountainrange != null)
                                                        {
                                                            rangeStr = @Model.mntn_mountainrange.mntn_mountainrange2.mntnRange_name;
                                                        }
                                                    }
                                                    @rangeStr
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    @if (Model.mntn_mountainrange != null)
                                    {
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">SottoSezione:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @Model.mntn_mountainrange.mntnRange_name
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    }
                                    <!--/span-->
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Mountain.Details.MountainGroup:</label>
                                            <div class="col-md-8">
                                                <p class="">
                                                    @if (Model.mntn_mountaingroup != null)
                                                    {
                                                        @Model.mntn_mountaingroup.mntnGroup_name;
                                                    }
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <!--/span-->
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Mountain.Details.Region:</label>
                                            <div class="col-md-8">
                                                <p class="">
                                                    @if (Model.ass_mountainregion.Count > 0)
                                                    {
                                                        foreach (var ass_mountainregion in Model.ass_mountainregion)
                                                        {
                                                            string url = "/Content/themes/m1/assets/global/img/flags/" + ass_mountainregion.geo_country.country_code.ToLower() + ".png";

                                                        @Html.Raw(ass_mountainregion.region_name + " " + "(<img alt=" + ass_mountainregion.geo_country.country_code + " src=" + @url + ">) ")
                                                        }
                                                    }
                                                    else {
                                                        <a href="/api/Mountain/UpdateMissingGeoData?id=@Model.id" target="_blank">Find Region in automatic!!! <span class="badge badge-info badge-roundless">New</span></a>
                                                    }
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!--/row-->
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-4">Coordinate:</label>
                                            <div class="col-md-8">
                                                <p class="">
                                                    @(Model.mntn_latitude)° <span>N.</span> - @(Model.mntn_longitude)° <span>E.</span> <a href="https://www.openstreetmap.org/#map=13/@Model.mntn_latitude.ToString().Replace(',','.')/@Model.mntn_longitude.ToString().Replace(',','.')" target="_blank"><i class="fa fa-globe"></i></a>
                                                    @*<a href="http://maps.googleapis.com/maps/api/geocode/json?latlng=@Model.mntn_latitude.ToString().Replace(',','.'),@Model.mntn_longitude.ToString().Replace(',','.')&sensor=true" target="_blank">v.2 <i class="fa fa-globe"></i></a>*@
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Mountain.Details.Altitude:</label>
                                            <div class="col-md-8">
                                                <p class="bold">
                                                    <i class="fa fa-long-arrow-up"></i> @Model.mntn_altitude m.
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <h4 class="form-section">@SYM.Localization.Resources.Views.Mountain.Details.Statistics</h4>
                                <div class="row margin-bottom-20">
                                    <div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">
                                        <div class="dashboard-stat green-meadow">
                                            <div class="visual">
                                                <i class="fa fa-map-signs"></i>
                                            </div>
                                            <div class="details">
                                                <div class="number">
                                                    <span data-counter="counterup" data-value="@Model.route.Count">0</span>
                                                </div>
                                                <div class="desc"> @SYM.Localization.Resources.Views.Mountain.Details.StatsBox1 </div>
                                            </div>
                                            <a class="more" href="@Url.Action("index3", "route")?_m=@Model.id">
                                                @SYM.Localization.Resources.Views.Stats.Info.ViewMore
                                                <i class="m-icon-swapright m-icon-white"></i>
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">
                                        <div class="dashboard-stat purple">
                                            <div class="visual">
                                                <i class="fa fa-line-chart"></i>
                                            </div>
                                            <div class="details">
                                                <div class="number">
                                                    <span data-counter="counterup" data-value="@ViewBag.CountViews">0</span>
                                                </div>
                                                <div class="desc"> @SYM.Localization.Resources.Views.Mountain.Details.StatsBox2 </div>
                                            </div>
                                            <a class="more" href="@Url.Action("statistics", "info")">
                                                @SYM.Localization.Resources.Views.Stats.Info.ViewMoreStats - <b>@ViewBag.LastViews</b>
                                                <i class="m-icon-swapright m-icon-white"></i>
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">
                                        <div class="dashboard-stat blue-sharp">
                                            <div class="visual">
                                                <i class="fa fa-image"></i>
                                            </div>
                                            <div class="details">
                                                <div class="number">
                                                    <span data-counter="counterup" data-value="@ViewBag.Images">0</span>
                                                </div>
                                                <div class="desc"> @SYM.Localization.Resources.Views.Mountain.Details.StatsBox3 </div>
                                            </div>
                                            <a class="more" href="@Url.Action("Index", "MountainRange")">
                                                @SYM.Localization.Resources.Views.Stats.Info.ViewMore
                                                <i class="m-icon-swapright m-icon-white"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <h4 class="form-section">@SYM.Localization.Resources.Views.Mountain.Details.ChartActivities</h4>
                                        <div id="donut-activity" style="height:220px;" class="margin-top-15">

                                        </div>
                                    </div>
                                    <div class="col-md-9">
                                        <!--/row-->
                                        @if (Model.mntn_mountainrange != null)
                                        {
                                            <h4 class="form-section">@SYM.Localization.Resources.Views.Mountain.Details.Discover @Model.mntn_mountainrange.mountain.Count() @SYM.Localization.Resources.Views.Mountain.Details.Mountains @Model.mntn_mountainrange.mntnRange_name <small><a id="mountains_list" href="#">(sono elencate solo cime con itinerari...)</a></small></h4>
                                            <div id="section-list-links" class="row">
                                                @foreach (var mountainItem in Model.mntn_mountainrange.mountain.Where(a => a.mntn_status == true).OrderBy(s => s.mntn_name))
                                                {
                                                    if (mountainItem.route.Count > 0 && mountainItem.id != Model.id)
                                                    {
                                                        bold = "bold";
                                                        <div class="col-md-3">
                                                            <label class="@bold popovers" data-container="body" data-trigger="hover" data-placement="top" data-content="Altitude @mountainItem.mntn_altitude m. - N° routes @mountainItem.route.Count" data-original-title="@mountainItem.mntn_name">
                                                                <a href="/Mountain/@mountainItem.id-@mountainItem.mntn_name.Replace(" ", "")">@HtmlHelpers.Truncate(@mountainItem.mntn_name, 20) 
                                                                </a>
                                                            </label>
                                                        </div>
                                                    }
                                                }
                                            </div>
                                        }
                                    </div>
                                </div>
                            </div>
                        </form>
                        <div class="row">
                            <div class="col-md-12">
                                <div id="disqus_thread"></div>
                                @Html.Partial("_commentDisqus")
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <small>Some informations was extracted from <a href="http://it.wikipedia.org/wiki/Tim_Berners-Lee">Wikipedia</a>. The content of this page is licensed under the <a href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a></small>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="tab_1_2">
                        <!-- This is the template -->
                        <div id="gallery" class="final-tiles-gallery caption-top social-icons-bottom social-icons-circle effect-fade-out">
                            <div class="ftg-items">
                            </div>
                        </div>
                        <div class="alert alert-info margiv-top-10">
                            <strong>Info!</strong> Photos provided by <a href="#">Flickr</a>. Photos are under the copyright of their owner.
                        </div>
                    </div>
                    <div class="tab-pane fade" id="tab_1_3">
                        <!-- This is the template -->
                        <div class="row">
                            <div class="col-md-12">
                                <div id="gmap_marker" class="gmaps height-450"></div>
                            </div>
                        </div>
                        @if (Model.mntn_mountainrange != null)
                        {
                            <h4 class="form-section">@Model.mntn_mountainrange.mountain.Count() in @Model.mntn_mountainrange.mntnRange_name</h4>
                        }
                        <div class="row">
                            <div class="col-md-12">

                                <div id="gmap_results"></div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="tab_1_4">
                        <div id="indexresult">
                        </div>
                        <!-- This is the template -->
                        <div class="row">
                            <div class="col-md-6">
                                <img src="/Content/images/1443996264301-addRoute-min.jpg" class="img-responsive" alt="Cinque Terre">
                            </div>
                            <div class="col-md-6">
                                <div class="note note-info">
                                    <h4 class="block">Manca una via o itinerario? Lascia una traccia...</h4>
                                    <p>Contributisci alla crescita della community aggiungendo nuove relazioni o suggerendo nuovi itinerari che completati dai gestori della piattaforma o da altri utenti. <b>Share Your Mountain...</b></p>
                                    <p class="margiv-top-10">&nbsp;</p>
                                    <p class="text-center margiv-top-10">
                                        <a href='@Url.Action("Create", "Route")/@Model.id' type="button" class="btn red btn-outline uppercase"><i class="fa fa-child"></i> @SYM.Localization.Resources.Views.Route.Create.AddTopos</a>
                                    </p>
                                    <p class="text-center margiv-top-10">
                                        or
                                    </p>
                                    <p class="text-center margiv-top-10">
                                        <button type="button" class="btn red btn-outline uppercase">Suggerisci il nome di un Itinerario</button>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- END PAGE CONTENT-->
@section ExtraPluginJS {
    @Scripts.Render("~/content/themes/m1/assets/plugins/pagedetails/js")
    <script src="~/Content/themes/m1/assets/global/plugins/morris/morris.min.js" type="text/javascript"></script>
    <script src="~/Content/themes/m1/assets/global/plugins/morris/raphael-min.js" type="text/javascript"></script>
}
@section scripts {
    <script type="text/javascript" src="~/Scripts/custom/geocod-getdistance.js"></script>
    <script type="text/javascript" src="~/Scripts/custom/Flickr.js"></script>
    <script type="text/javascript" src="~/Scripts/custom/adventure.js"></script>
    <script type="text/javascript">
        $("#MountainIndex").attr("class", "active");

        var map;

        function loadResults (data,id) {
            var items, markers_data = [];
            if (data.length > 0) {
                items = data;

                for (var i = 0; i < items.length; i++) {
                    item = items[i];
                    var icon;
                    if (item.lat != undefined && item.lng != undefined && item.id != id) {

                        var textRoutes = "";

                        if (item.route != '0'){
                            icon = 'http://maps.google.com/mapfiles/kml/shapes/placemark_circle_highlight.png';
                            textRoutes = "<br/>Itinerari: " + item.route
                        }
                        else if (item.name != '')
                            icon = '/Content/images/placemark_circle_grey_s.png';
                        else
                            icon = 'http://maps.google.com/mapfiles/kml/pal2/icon13.png';

                        markers_data.push({
                            lat: item.lat,
                            lng: item.lng,
                            title: item.name + " <small>" + item.altitude + " m.</small>",
                            altitude: item.altitude,
                            icon: {
                                size: new google.maps.Size(32, 32),
                                url: icon
                            },infoWindow: {
                                content: "<i class='fa fa-spinner fa-spin fa-lg' style='color: #FFA46B;' title='Loading...'></i> Loading..."
                            },
                            infoWindow_Ajax: '/Mountain/InfoWindow?id=' + item.id
                        });
                    }
                }
            }

            map.addMarkers(markers_data);
        }

        var mapMarker = function () {

            if($("#gmap_marker").length == 0) {
                console.log("Already Init");
                return;
            }

            //Logic to binding the markers listed with the markers into the Map.
            $(document).on('click', '.pan-to-marker', function(e) {
                e.preventDefault();
                var position, lat, lng, $index;
                $index = $(this).data('marker-index');
                position = map.markers[$index].getPosition();
                lat = position.lat();
                lng = position.lng();
                map.setCenter(lat, lng);
            });

            map = new GMaps({
                div: '#gmap_marker',
                lat: '@Model.mntn_latitude.ToString().Replace(",", ".")',
                lng: '@Model.mntn_longitude.ToString().Replace(",", ".")',
                mapTypeControlOptions: {
                    mapTypeIds: ["roadmap", "satellite", "osm"]
                }
            });
            map.addMapType("osm", {
                getTileUrl: function (coord, zoom) {
                    return "https://a.tile.openstreetmap.org/" + zoom + "/" + coord.x + "/" + coord.y + ".png";
                },
                tileSize: new google.maps.Size(256, 256),
                name: "OpenStreetMap",
                maxZoom: 18
            });
            map.setMapTypeId("osm");

            map.on('marker_added', function (marker) {
                var index = map.markers.indexOf(marker);
                $('#gmap_results').append('<div class="col-md-3"><label class=""><a href="#" class="pan-to-marker" data-marker-index="' + index + '">' + marker.title +'</a></label></div>');
                if (index == map.markers.length - 1) {
                    map.fitZoom();
                }
            });

            map.addMarker({
                lat: @Model.mntn_latitude.ToString().Replace(",", "."),
                lng: @Model.mntn_longitude.ToString().Replace(",", "."),
                icon: 'http://maps.google.com/mapfiles/kml/pal2/icon13.png',
                title: '@Model.mntn_name'
            });

            @if (Model.mntnRange_id != null)
            {
                <text>
            $.ajax({
                type: "POST",
                url: "/api/autocomplete/GetMountainByRange",
                data: '{p_rangeid:"@Model.mntnRange_id"}',
                contentType: "application/json; charset=utf-8",
                cache: false,
                success: function(response) {
                    loadResults(response,@Model.id);
                },
                error: function() {
                    console.log("Error counter");
                }
            });
            </text>
            }else{
                 <text>
            $.ajax({
                type: "POST",
                url: "/api/autocomplete/GetNearestMountainByLocation",
                data: '{p_mountainId:"@Model.id",p_lat:"@Model.mntn_latitude", p_long:"@Model.mntn_longitude"}',
                contentType: "application/json; charset=utf-8",
                cache: false,
                success: function (response) {
                    loadResults(response,@Model.id);
                },
                error: function () {
                    console.log("Error counter");
                }
            });
            </text>
            }

            $("#gmap_marker").removeAttr("id");
        }

        //NEW*** Function FLICKR invoke when the document is reato to create a mosaic
        jQuery(document).ready(function () {
            $('#image-cover-container').imagefill();
            return true;
        });

        $("#gmap_static").click(function() {
            setTimeout("mapMarker();", 500);
            $('.nav-tabs a[href="#tab_1_3"]').tab('show');
        })

        $("#mountains_list").click(function() {
            setTimeout("mapMarker();", 500);
            $('.nav-tabs a[href="#tab_1_3"]').tab('show');
        })

        //TODO: IF Authenticate
        $.ajax({
            type: "POST",
            url: "/api/Adventure/Get",
            data: '{p_mountain:"@Model.id"}',
            contentType: "application/json; charset=utf-8",
            success: function (response) {
                if(typeof(response) != "undefined")
                    UpdateUI(@Model.id,0,response.done,"");
            },
            error: function () {
                console.log("Error counter");
            }
        });

        //NEW*** Function FLICKR invoke only when the tab #Gallery_Images is selected
        $('#Flickr').one('click', function (e) {
            GalleryFlickr("@Model.mntn_name",@Model.id,'@Model.mntn_latitude.ToString().Replace(",", ".")','@Model.mntn_longitude.ToString().Replace(",", ".")','#gallery')
            return true;
        });

        $('#Maps').one('click', function (e) {
            setTimeout("mapMarker();", 500);
        });

        $('#Routes').one('click', function (e) {
            App.startPageLoading({ animate: true });
            $.ajax({
                url: "/Route/_PartialIndex/@Model.id",
                type: "GET",
                dataType: "html",
            }).
            success(function (result) {
                $('#indexresult').html(result);
                App.stopPageLoading();
            }).
            error(function (xhr, status) {
                console.log(status);
                App.stopPageLoading();
            });
        });

    </script>
    <script type="text/javascript">
        //Introduce TimeOut
        jQuery(document).ready(function () {

            Morris.Donut({
                element: 'donut-activity',
                data: [
                  @foreach (var i in ViewBag.MountainActivities) {
                     <text>
                        {label: "@i.activity", value: @i.number},    
                     </text>
                  }
              ]
            });



            //ex. simple view, openweathermap weather
            var example2 = $("#meteo").flatWeatherPlugin({
                lat: @Model.mntn_latitude.ToString().Replace(",", "."),
                lon: @Model.mntn_longitude.ToString().Replace(",", "."),
                api: "yahoo",
                units : "metric",
                lang: "it",
                timeformat: "12",
                displayCityNameOnly : true,
                forecast: 4,
                render: true, //default: true (true/false) if you want plugin to generate markup
                loadingAnimation: true, //default: true (true/false) if you want plugin to show loading animation
                strings : {
                    days: ['Dom','Lun','Mar','Mer','Gio','Ven','Sab'],
                    min : "Min",
                    max : "Max",
                    direction :  ["N","NNE","NE","ENE","E","ESE","SE","SSE","S","SSW","SW","WSW","W","WNW","NW", "NNW"]
                },
            });

        });

        //Unire in una classe o metodo ed esternalizzare in uno script
        //Binding function to button on top page
        $('#logAdventure').one('click', function (e) {
            SetAdventure(@Model.id,0,false,"");
        });

        $.ajax({
            type: "POST",
            url: "/api/PageStatistics/SetCounter",
            data: '{p_id:"@Model.id",p_type:"m"}',
            contentType: "application/json; charset=utf-8",
            success: function (response) {
            },
            error: function () {
                console.log("Error counter");
            }
        });

    </script>
}